Bug 606037 - Back light on the MSI Wind N011 netbook blinks indefinitely
Back light on the MSI Wind N011 netbook blinks indefinitely
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-20 00:42 EDT by Nerses Gevorgyan
Modified: 2010-12-03 08:47 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 08:47:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nerses Gevorgyan 2010-06-20 00:42:49 EDT
Description of problem:

Back light on the MSI Wind N011 netbook blinks indefinitely if power cord is pluged in or unpluged. Or user tries to change screen brightness using function keys.

Version-Release number of selected component (if applicable):

kernel-2.6.32.11-99.fc12.i686
kernel-2.6.32.12-115.fc12.i686
kernel-2.6.32.14-127.fc12.i686

acpid-1.0.10-2.fc12.i686

How reproducible:

Always

Steps to Reproduce:

Plug or unplug power cord or change screen brightness using function keys. Also can happen if netbook is left for some time. I suppose when the screen saver is activated.
  
Actual results:

The screen will blink indefinitely changing the brightness from 0% to 100% and back.

Expected results:

ACPI screen brightness changes should work flawlessly. User should be able to change the screen brithness using function keys.

Additional info:

It was normal under FC8 on the same netbook.

Netbook: MSI Wind N011

# lspci 
00:00.0 Host bridge: Intel Corporation Mobile 945GME Express Memory Controller Hub (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GME Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 (rev 02)
00:1c.1 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 2 (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #3 (rev 02)
00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #4 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e2)
00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge (rev 02)
00:1f.2 IDE interface: Intel Corporation 82801GBM/GHM (ICH7 Family) SATA IDE Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 02)
01:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8101E/RTL8102E PCI Express Fast Ethernet controller (rev 02)
02:00.0 Network controller: RaLink RT2860

# lsmod 
Module                  Size  Used by
ipt_MASQUERADE          1776  1 
iptable_nat             4647  1 
nf_nat                 15785  2 ipt_MASQUERADE,iptable_nat
bridge                 39353  0 
stp                     1399  1 bridge
llc                     3671  2 bridge,stp
sunrpc                160120  1 
cpufreq_ondemand        6993  2 
acpi_cpufreq            6535  0 
xt_physdev              1395  1 
ip6t_REJECT             3394  2 
nf_conntrack_ipv6      14859  5 
ip6table_filter         2227  1 
ip6_tables              9409  1 ip6table_filter
ipv6                  223810  34 ip6t_REJECT,nf_conntrack_ipv6
fuse                   48375  4 
dm_multipath           12324  0 
uinput                  5244  0 
snd_hda_codec_realtek   197456  1 
snd_hda_intel          19915  3 
snd_hda_codec          59921  2 snd_hda_codec_realtek,snd_hda_intel
snd_hwdep               4868  1 snd_hda_codec
snd_seq                42811  0 
uvcvideo               47540  0 
videodev               28423  1 uvcvideo
snd_seq_device          5031  1 snd_seq
v4l1_compat            11370  2 uvcvideo,videodev
i2c_i801                8369  0 
joydev                  7408  0 
snd_pcm                60772  2 snd_hda_intel,snd_hda_codec
iTCO_wdt                8886  0 
wmi                     5620  0 
iTCO_vendor_support     2023  1 iTCO_wdt
r8169                  29597  0 
snd_timer              15541  2 snd_seq,snd_pcm
snd                    46576  14 snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_seq,snd_seq_device,snd_pcm,snd_timer
soundcore               4863  1 snd
mii                     3510  1 r8169
snd_page_alloc          6061  2 snd_hda_intel,snd_pcm
rt2860sta             646233  1 
usb_storage            34386  0 
i915                  240588  2 
drm_kms_helper         22263  1 i915
drm                   134881  3 i915,drm_kms_helper
i2c_algo_bit            4073  1 i915
i2c_core               21780  6 videodev,i2c_i801,i915,drm_kms_helper,drm,i2c_algo_bit
video                  16522  1 i915
output                  1605  1 video

# lscpu 
Architecture:          i686
CPU(s):                2
Thread(s) per core:    2
Core(s) per socket:    1
CPU socket(s):         1
Vendor ID:             GenuineIntel
CPU family:            6
Model:                 28
Stepping:              2
CPU MHz:               800.000
L1d cache:             24K
L1i cache:             32K
L2 cache:              512K

# xwininfo -root

xwininfo: Window id: 0x101 (the root window) (has no name)

  Absolute upper-left X:  0
  Absolute upper-left Y:  0
  Relative upper-left X:  0
  Relative upper-left Y:  0
  Width: 1024
  Height: 600
  Depth: 24
  Visual: 0x21
  Visual Class: TrueColor
  Border width: 0
  Class: InputOutput
  Colormap: 0x20 (installed)
  Bit Gravity State: NorthWestGravity
  Window Gravity State: NorthWestGravity
  Backing Store State: NotUseful
  Save Under State: no
  Map State: IsViewable
  Override Redirect State: no
  Corners:  +0+0  -0+0  -0-0  +0-0
  -geometry 1024x600+0+0
Comment 1 Bug Zapper 2010-11-03 09:02:16 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-12-03 08:47:03 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.